package com.pixelized.desktop.lwa.utils

import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember
import androidx.compose.ui.graphics.ColorFilter
import androidx.compose.ui.graphics.ColorMatrix

@Composable
fun rememberSaturationFilter(
    saturation: Float = 0f,
): ColorFilter {
    return remember(saturation) {
        ColorFilter.colorMatrix(
            ColorMatrix().also { it.setToSaturation(saturation) }
        )
    }
}